# Uses of Interface
org.opensaml.saml.ext.saml2delrestrict.Delegate

Packages that use Delegate
Package
Description
org.opensaml.saml.ext.saml2delrestrict
Interfaces for SAML 2 Condition for Delegation Restriction.
org.opensaml.saml.ext.saml2delrestrict.impl
Implementation for SAML v2.0 Condition for Delegation Restriction Version 1.0.

## Uses of Delegate in org.opensaml.saml.ext.saml2delrestrict

Methods in org.opensaml.saml.ext.saml2delrestrict that return types with arguments of type Delegate
Modifier and Type
Method
Description
`List<Delegate>`
DelegationRestrictionType.`getDelegates()`
Get the list of Delegate child elements.

## Uses of Delegate in org.opensaml.saml.ext.saml2delrestrict.impl

Classes in org.opensaml.saml.ext.saml2delrestrict.impl that implement Delegate
Modifier and Type
Class
Description
`class`
`DelegateImpl`
Implementation of `Delegate`.
Fields in org.opensaml.saml.ext.saml2delrestrict.impl with type parameters of type Delegate
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Delegate>`
DelegationRestrictionTypeImpl.`delegates`
Delegate child elements.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl that return Delegate
Modifier and Type
Method
Description
`Delegate`
DelegateBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Delegate`
DelegateBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl that return types with arguments of type Delegate
Modifier and Type
Method
Description
`List<Delegate>`
DelegationRestrictionTypeImpl.`getDelegates()`
Get the list of Delegate child elements.